/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:28:53.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service;

import java.util.List;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamScoreEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore.ExamScoreInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore.ExamScoreQuery;

import org.springframework.data.domain.Page;

/**
 * 考试分数相关接口
 *
 * @author: fengdesheng
 * @since: 2018/8/31
 */
public interface ExamScoreService {

    Page<ExamScoreInfo> getExamScoreList(ExamScoreQuery query);

    List<ExamScoreInfo> exportExamScoreList(ExamScoreQuery query);

    /**
     * 获取所有的考试分数集合
     * @param examId 考试id
     * @param identityNumber 身份证号
     * @param courseId 课程代码
     * @return ExamScoreEntity
     */
    List<ExamScoreEntity> getAllExamScoreList(Long examId, String identityNumber, Long courseId);
}